Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create agent session artifact

POST/workspaces/{organizationId}/agent/sessions/{sessionId}/artifacts
Path parameters
organizationIdstringrequired
sessionIdstringrequired
Request body
application/json
namestringrequired
min length 1
typestringrequired
Allowed:difflogscreenshottraceoutputother
contentstring
datastring
mimeTypestring
urlstring
Responses
201Artifact captured
idstringrequired
sessionIdstringrequired
actorIdstring | nullrequired
typestringrequired
Allowed:thoughtresponseerrorelicitationactionstatusartifact
messagestringrequired
payloadany | null
parentIdstring | nullrequired
startedAtstring | nullrequired
endedAtstring | nullrequired
durationMsnumber | nullrequired
createdAtstringrequired
404Session not found
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/agent/sessions/string/artifacts" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "type": "diff",
  "content": "string",
  "data": "string",
  "mimeType": "string",
  "url": "string"
}'
Response
{
  "id": "string",
  "sessionId": "string",
  "actorId": "string",
  "type": "thought",
  "message": "string",
  "payload": null,
  "parentId": "string",
  "startedAt": "string",
  "endedAt": "string",
  "durationMs": 0,
  "createdAt": "string"
}